summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarcello Stanisci <stanisci.m@gmail.com>2018-06-08 12:48:09 +0200
committerMarcello Stanisci <stanisci.m@gmail.com>2018-06-08 12:48:09 +0200
commitb46fd3cbf7f03f26c3248b5473cbb07809bf2ea3 (patch)
tree33081b6ec1494268ed2f3650ae457f60eab48414
parentf97f448859d090c61ba8e922ee5d2e2003876f75 (diff)
downloaddeployment-b46fd3cbf7f03f26c3248b5473cbb07809bf2ea3.tar.gz
deployment-b46fd3cbf7f03f26c3248b5473cbb07809bf2ea3.tar.bz2
deployment-b46fd3cbf7f03f26c3248b5473cbb07809bf2ea3.zip
Comments.
-rwxr-xr-xbin/taler-deployment-config-sign7
-rwxr-xr-xbin/taler-deployment-start2
2 files changed, 7 insertions, 2 deletions
diff --git a/bin/taler-deployment-config-sign b/bin/taler-deployment-config-sign
index 8ae03d2..ff170f5 100755
--- a/bin/taler-deployment-config-sign
+++ b/bin/taler-deployment-config-sign
@@ -5,7 +5,12 @@ base=$HOME
export PATH="$base/deployment":$PATH
for f in $HOME/shared-data/exchange/wire/*.json
- do chmod g+w $f
+ # If this command is run by the blue-green party
+ # that did NOT create the .json file(s) then the
+ # right group permission is already set (and the
+ # 'chmod' below would also fail).
+ do chmod g+w $f || true
done
+# Sign wire details.
taler-exchange-wire
diff --git a/bin/taler-deployment-start b/bin/taler-deployment-start
index 1e6f26b..5094149 100755
--- a/bin/taler-deployment-start
+++ b/bin/taler-deployment-start
@@ -9,7 +9,7 @@ ulimit -c $((100 * 1024)) &>/dev/null || true
cd $HOME
-if [[ ! -e ~/.config/taler.conf ]]; then
+if [[ ! -e $HOME/.config/taler.conf ]]; then
taler-deployment-config-generate
fi